#include "stc32g.h"
#include "stc.h"
#include "usb.h"


void sys_init();
#define MAIN_Fosc        24000000UL

char *USER_DEVICEDESC = NULL;
char *USER_PRODUCTDESC = NULL;
char *USER_STCISPCMD = "@STCISP#";    

void delay_ms(u16 ms)
{
	u16 i;
	do
	{
		i=MAIN_Fosc/6000;
		while(--i);
	}while(--ms);
}

void main()
{
	sys_init();
	usb_init();
    EA = 1;
	
	P2M1 = 0x00;   
	P2M0 = 0x00; 
	
	P3M1 = 0x00;   
	P3M0 = 0x00;
    while (1)
	{
		P2=0x00;
	}
}

void sys_init()
{
    WTST = 0; 
    EAXFR = 1;
    CKCON = 0;

    P0M1 = 0x30;   P0M0 = 0x30;  
    P1M1 = 0x32;   P1M0 = 0x32;  
    P2M1 = 0x3c;   P2M0 = 0x3c;  
    P3M1 = 0x50;   P3M0 = 0x50;  
    P4M1 = 0x3c;   P4M0 = 0x3c;  
    P5M1 = 0x0c;   P5M0 = 0x0c;  
    P6M1 = 0xff;   P6M0 = 0xff;  
    P7M1 = 0x00;   P7M0 = 0x00;  
    IRC48MCR = 0x80;    
    while (!(IRC48MCR & 0x01));  
}

